SCTP_FREEPADDRS(3) | Library Functions Manual | SCTP_FREEPADDRS(3)

# NAME

`sctp_freepaddrs`, `sctp_freeladdrs` — release the memory returned from a previous call

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <sys/types.h>`
`#include <sys/socket.h>`
`#include <netinet/sctp.h>`

void
`sctp_freepaddrs`(struct sockaddr *);

void
`sctp_freeladdrs`(struct sockaddr *);

# DESCRIPTION

The `sctp_freepaddrs`() and `sctp_freeladdrs`() functions are used to release the memory allocated by previous calls to sctp_getpaddrs(3) or sctp_getladdrs(3) respectively.

# RETURN VALUES

none.

# SEE ALSO

sctp_getladdrs(3), sctp_getpaddrs(3), sctp(4)

Sockets API Extensions for the Stream Control Transmission Protocol (SCTP), RFC, 6458, December 2011.

# HISTORY

These functions first appeared in NetBSD 9.0.

August 1, 2018 | NetBSD 11.0